Bug 156649 - crash after "using mirror: http://..."
crash after "using mirror: http://..."
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-02 17:33 EDT by gax
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:30:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description gax 2005-05-02 17:33:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
up2date crashed at startup

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.# up2date
2.boom!
3.
  

Actual Results:  # up2date
/usr/share/rhn/up2date_client/gui.py:104: GtkWarning: Unable to locate theme engine in module_path: "clearlooks",
  self.xml = gtk.glade.XML("/usr/share/rhn/up2date_client/gui.glade", "mainWin", domain="up2date")
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://sunsite.mff.cuni.cz/pub/fedora/development/x86_64/
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1231, in exceptionHandler
    log = up2dateLog.initLog()
NameError: global name 'up2dateLog' is not defined

Original exception was:
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1311, in onChannelsPageNext
    self.pList.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 125, in run
    self.progressCallback)
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 331, in getAvailableAllArchPackageList
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 153, in availablePackageList
    repos = repoDirector.initRepoDirector()
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 75, in initRepoDirector
    from repoBackends import repomdRepo
  File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 16, in ?
    import yumBaseRepo
  File "/usr/share/rhn/up2date_client/repoBackends/yumBaseRepo.py", line 14, in ?
    import yum
  File "/usr/share/rhn/__init__.py", line 32, in ?

ImportError: No module named updates
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1231, in exceptionHandler
    log = up2dateLog.initLog()
NameError: global name 'up2dateLog' is not defined

Original exception was:
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1393, in onSkippedPagePrepare
    maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
ValueError: max() arg is an empty sequence
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1231, in exceptionHandler
    log = up2dateLog.initLog()
NameError: global name 'up2dateLog' is not defined

Original exception was:
TypeError: hide() takes no arguments (2 given)


Additional info:

# rpmquery -a "rh*"
rhpl-0.160-1
rhnlib-1.8-6.p24.1
rhn-applet-2.1.17-3

# rpmquery -a "rpm*"
rpm-libs-4.4.1-11
rpm-python-4.4.1-11
rpm-devel-4.4.1-11
rpm-4.4.1-11
rpm-build-4.4.1-11

# rpmquery -a "up2date*"
up2date-gnome-4.4.17-1
up2date-4.4.17-1
Comment 1 gax 2005-05-02 17:42:23 EDT
after that last trace, i hit [<back] then [forward>]
i get to the skipped packages screen with new kernel...
hit [forward>], i see all the updates, [forward>] is disabled
for every checkbox i select, [forward>] remains disabled and, 
-------------
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1231, in exceptionHandler
    log = up2dateLog.initLog()
NameError: global name 'up2dateLog' is not defined

Original exception was:
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/checklist.py", line 148, in _button_press_cb
    self._toggle_row (info[0])
  File "/usr/share/rhn/up2date_client/checklist.py", line 134, in _toggle_row
    self.toggled_func(val, row_data)
  File "/usr/share/rhn/up2date_client/gui.py", line 281, in updateSelectedSize
    self.__updateSelectedSizeLabel(sizeLabel, state, rowData)
  File "/usr/share/rhn/up2date_client/gui.py", line 275, in
__updateSelectedSizeLabel
    self.pkgsSelected = self.pkgsSelected + 1
TypeError: unsupported operand type(s) for +: 'instance' and 'int'
-----------------
Comment 2 John Thacker 2006-10-29 15:29:44 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 3 John Thacker 2006-11-05 11:30:59 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.